Subject: Re: cygwin + samba pdc = ssh problem [FAQ alert]
From: Nicolas Mailhot <[email-masked]>
To: [email-masked]
Cc: Doug VanLeuven <[email-masked]>
Date: 14 May 2003 17:36:21 +0200

Le mer 14/05/2003 à 16:40, Igor Pechtchanski a écrit :
> On 14 May 2003, Nicolas Mailhot wrote:
> 
> > Doug VanLeuven wrote:
> >
> > | You'll need to set CYGWIN=smbntsec (plus whatever else you might be
> > | using) and "nt acl support = yes" in smb.conf for the affected shares
> >
> > This worked ! Thanks an awfully lot for the tip. I don't know what we'd
> > have done otherwise - probably dump cygwin altogether I think. I'm
> > actually surprised this is not documented in the FAQ next in the chmod
> > is not working part.
> >
> > Best regards,
> 
> Nicolas,
> 
> Would you care to write a relevant FAQ section/amendment outlining what
> you did and contribute it (post it to this list)?  That way the Cygwin FAQ
> maintainer can pick it up and put it in the FAQ right away.  Perhaps Doug
> could help also... 

Well, I couldn't put it much better than Doug (for the explanation)
Anyway right next to the « Why doesn't chmod work? » entry one could add
"Why does cygwin fake file permissions on mounted samba shares?"

I you want cygwin apps to read real file permissions on a samba share
(useful for mounted homes, openssh for example is very picky about the
file modes in ~/.ssh), you need to add smbntsec to the CYGWIN
environment variable and "nt acl support = yes" in the affected shares
sections of the server smb.conf.

(Verified with W2k client member of a samba 2.2.7 domain)

Regards,

-- 
Nicolas Mailhot
One2team : 12 bis rue de la Pierre levée - 75011 Paris - France  
Tél : + 33 1 43 38 19 80 - Fax : +33 1 43 14 23 07